# pandas.DataFrame.drop

`DataFrame.``drop`(labels, axis=0, level=None, inplace=False, errors='raise')

  Return new object with labels in requested axis removed

  Parameters:

  labels : single label or list-like

  axis : int or axis name

  level : int or level name, default None

  > For MultiIndex

  inplace : bool, default False

  > If True, do operation inplace and return None.

  errors : {‘ignore’, ‘raise’}, default ‘raise’

  > If ‘ignore’, suppress error and existing labels are dropped.

  > New in version 0.16.1.

  Returns: | dropped : type of caller